<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
    <!-- CSS only -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
  </head>
  <style>
    .grid-container {
      display: grid;
      grid-template-columns: 15.5% 84.6%;
    }
    .card-product {
      width: 350px;
      height: 450px;
      background-color: white;
      margin-left: 5%;
      border-radius: 15px;
    }
    .content-section {
      text-align: center;
    }
    .bg {
      background: url("{{url_for('static', filename = 'images/product_bg/'+item.image)}}");
      height: 100%;
      width: 100%;

    background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
    }
    .addCard-btn{
        
        width: 150px;
        height: 38px;
        background-color: white;
        color:black;
        opacity: 0.9;
        text-align: center;
        border-radius:20px;
        padding-top: 5px;
    }
    /* The side navigation menu */
.sidenav {
height: 100%; /* 100% Full-height */
width: 0; /* 0 width - change this with JavaScript */
position: fixed; /* Stay in place */
z-index: 1; /* Stay on top */
top: 0; /* Stay at the top */
left: 0;
background-color: transparent; /* Black*/
overflow-x: hidden; /* Disable horizontal scroll */
padding-top: 30px; /* Place content 60px from the top */
transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
z-index: 2;
}

/* The navigation menu links */
.sidenav a {
padding-top: 5px;
text-decoration: none;
font-size: 25px;
display: block;
transition: 0.3s;
width: 100%;
border-radius: 17px;
margin-top: 2%;
min-height: 30px;
display: inline-block;
color: #707070;
}
.textIna {
vertical-align: text-top;
font-size: 18px;
}
/* When you mouse over the navigation links, change their color */
.sidenav a:hover {
color: black;
}

/* Position and style the close button (top right corner) */
.sidenav .closebtn {
position: absolute;
top: 0;
right: 25px;
font-size: 36px;
margin-left: 50px;
}
.active {
background-color: #a9d18e;
color: white;
width: 250px;
border-radius: 17px;
margin-left: 5%;
margin-top: 2%;
}
.non-active {
background-color: transparent;
color: #818181;
width: 250px;
border-radius: 17px;
margin-left: 5%;
margin-top: 2%;
}
.head-nav-container {
height: 100px;
}
/* Style page content - use this if you want to push the page content to the right when you open the side navigation */
#main {
transition: margin-left 0.5s;
padding: 20px;
}
.main-nav {
font-family: Century Gothic;
color: #707070;
font-size: 30px;
font-weight: bold;
text-align: center;
}
.sub-nav {
font-family: Century Gothic;
color: #707070;
font-size: 20px;

text-align: center;
}
.sizeIcon {
min-width: 35px;
height: 25px;
vertical-align: top;
}
.profile-section{
margin-top:2%;
padding-left: 18px;
}
.profile-container{
width: 230px;
height: 170px;
background-color: white;
border-radius: 18px;
}
.img-profile-container{
display: flex;
justify-content: center;
}
.img-profile{
margin-top:3%;
width: 65px;
height: 65px;
border-radius: 50%;
}
.profile-name{
font-size:15px;
font-weight: bold;
font-family: Century Gothic;
font-weight: bold;
text-align: center;
color: #707070;
}
.profile-btn{
width: 160px;
height: 30px;
background-color: #ECECEC;
margin-left: auto;
margin-right: auto;
color: #707070;
font-weight: bold;
text-align: center;
align-items: center;
border-radius: 10px;
}
/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
.sidenav {
    padding-top: 15px;
}
.sidenav a {
    font-size: 18px;
}
}
  </style>
  <body >
    <div class="grid-container">
      <div>
        <body style="overflow-x: hidden;">
          <div class="sidenav" style="width: auto;">
            <div class="head-nav-container">
              <div class="row">
                <div class="col-sm-4">
                  <img
                    src="{{url_for('static', filename = 'images/head_nav.png')}}"
                    alt=""
                    srcset=""
                    style="padding-left: 20px;width: 90px;"
                  />
                </div>
                <div class="col-sm-8">
                  <div class="text-section-nav">
                    <div class="main-nav" >Oganikku</div>
                    <div class="sub-nav">オーガニック</div>
                  </div>
                </div>
              </div>
            </div>
      
      
            {% if request.path == "/shop/vegetables" %}
            <div class="active">
              <a>
                <img
                  src="{{url_for('static', filename = 'images/veg.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna"> Vegetables </span>
              </a>
            </div>
            {% else %}
      
            <div class="non-active">
              <a href="/shop/vegetables">
                <img
                  src="{{url_for('static', filename = 'images/veg.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna"> Vegetables </span>
              </a>
            </div>
            {% endif %} {% if request.path == "/shop/fruits" %}
            <div class="active">
              <a>
                <img
                  src="{{url_for('static', filename = 'images/fruit.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna"> Fruits </span>
              </a>
            </div>
            {% else %}
            <div class="non-active">
              <a href="/shop/fruits">
                <img
                  src="{{url_for('static', filename = 'images/fruit.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna"> Fruits </span>
              </a>
            </div>
            {% endif %}
      
            <!-- 
              <a  class="active"  href="/vegetables">Vegetables</a>
              <a  class="active"  href="/fruits">fruits</a> -->
            {% if request.path == "/shop/seasonal" %}
            <div class="active">
              <a>
                <img
                  src="{{url_for('static', filename = 'images/season.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna">
                  Seasonal
               
                </span>
              </a>
            </div>
            {% else %}
            <div class="non-active">
              <a href="/shop/seasonal">
                <img
                  src="{{url_for('static', filename = 'images/season.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna">
                  Seasonal
               </span>
                </span>
              </a>
            </div>
            {% endif %} 
            
            {% if request.path == "/chat" %}
            <div class="active">
              <a>
                <img
                  src="{{url_for('static', filename = 'images/msg.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna"> Messages </span>
              </a>
            </div>
            {% else %}
            <div class="non-active">
              <a href="/chat">
                <img
                  src="{{url_for('static', filename = 'images/msg.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
                <span class="textIna"> Messages </span>
              </a>
            </div>
      
      
            {% endif %}
            
            {% if request.path == "/shop/bills" %}
            <div class="active">
              <a>
                <img
                  src="{{url_for('static', filename = 'images/bill.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna"> Bills </span>
              </a>
            </div>
            {% else %}
            <div class="non-active">
              <a href="/shop/bill">
                <img
                  src="{{url_for('static', filename = 'images/bill.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna"> Bills </span>
              </a>
            </div>
            {% endif %}
      
            <span style="padding-left: 4%; font-size: 15px; color: #dfbc9b"
              >other</span
            >
            {% if request.path == "/shop/basket" %}
            <div class="active">
              <a>
                <img
                  src="{{url_for('static', filename = 'images/basket.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna"> Basket </span>
              </a>
            </div>
            {% else %}
            <div class="non-active">
              <a href="/shop/basket">
                <img
                  src="{{url_for('static', filename = 'images/basket.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna"> Basket </span>
              </a>
            </div>
            {% endif %}
             {% if request.path == "/shop/delivery" %}
            <div class="active" style="margin-bottom: 5%;">
              <a>
                <img
                  src="{{url_for('static', filename = 'images/deliverly.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna"> Delivery Status </span>
              </a>
            </div>
            {% else %}
            <div class="non-active" style="margin-bottom: 5%;">
              <a href="/shop/delivery">
                <img
                  src="{{url_for('static', filename = 'images/deliverly.png')}}"
                  class="sizeIcon"
                  alt=""
                  srcset=""
                />
      
                <span class="textIna"> Delivery Status </span>
              </a>
            </div>
            {% endif %}
      
            
      
            {% if request.path == "/profile" %}
            <div class="logout" style="padding-left: 8%;margin-top: 20%;">
              <form  action="/logout" method="post" name="logout">   
            
                <div style="display: flex;">
                  <div
                  onclick="logout.submit()"
                  style="background-color: white; padding: 9px; border-radius: 10px;cursor: pointer;" 
                  
                >
                  <img
                    src="{{url_for('static', filename = 'images/left-arrow.png')}}"
                    alt=""
                    srcset=""
                    style="width: 21px; height: 13px; padding-left: 4px"
                  />
                  </div>
                  <div style="padding-left: 10px;font-weight: bold;font-size: 20px;color:#7b7b7b;;">
                    Log Out
                  </div>
                </div>
             
        
       
      
      
      
      
      
           </form>
           </div>
          </div>
          <!-- <form  action="/logout" method="post" name="logout">
            <button type="submit">
                Logout
            </button>
          </form>  -->
            {% else %}
          
            <div class="profile-section">
              <div class="profile-container">
                  <div class="img-profile-container">
                      <img src="{{url_for('static', filename = 'images/user_profile/'+current_user.get_profile().profile_image)}}" alt="" srcset="" class="img-profile">
                  </div>
                  <div class="content-profile-container" style="margin-top:4%;">
                      <div class="profile-name">
                        {{ current_user.get_profile().fullname }}
                      </div>
                    <a href="{{url_for('user.profile')}}">  
                      <div class="profile-btn" style="margin-top:4%;font-size:20px;font-weight: 500;">
                        Open Profile
                      </div>
                    </a>
                  </div>
              </div>
            </div>
            {% endif %}
          </div>
      
      
      
      
      
      
        </body>
      
      
   
      
      </div>

      <div style="height: 100vh;margin-left: 22px;" class="bg">
        <div class="head-section" style="margin-top: 4%; margin-left: 4%">
          <a href="{{url_for('shop_list.category_shop_list',item_type=item.item_type)}}" style="text-decoration: none;">
          <span
            style="background-color: white; padding: 9px; border-radius: 10px"
          >
            <img
              src="{{url_for('static', filename = 'images/left-arrow.png')}}"
              alt=""
              srcset=""
              style="width: 21px; height: 13px; padding-left: 4px"
            />
          </span>
          </a>
          <span
            style="
              padding-left: 10px;
              font-family: Century Gothic;
              font-size: 20px;
              font-weight: bold;
              color: black;
            "
          >
            {{item.item_type}} > {{ item.name }}
          </span>
        </div>

        <div style="margin-top: 3%; width: 100%">
          <div
            class="product-container"
            style="
              height: 80vh;
              width: 100%;
              position: relative;
            "
          >
            <div class="text" style="padding-top: 30%;">
              <h1 style="color: black;text-align: center;">{{ item.price }}฿/KG.</h1>
              <div style="display: flex; justify-content: center">
                <span onclick="incrementValue()"
                  style="
                    font-size: 20px;
                    background-color: black;
                    color: white;
                    border-radius: 50px;
                    width: 37px;
                    height:36px;
                    text-align: center;
                    cursor: pointer;
                    user-select: none;
                  "
                >
                  +
                </span>
                <span style="font-size: 20px;padding-left:10px;padding-right:10px;" id="number"> 1 </span>
                <span onclick="decrementValue()"
                  style="
                      font-size: 20px;
                    background-color: black;
                    color: white;
                    border-radius: 50px;
                    width: 37px;
                    height:36px;
                    text-align: center;
                    cursor: pointer;
                    user-select: none;
                  "
                >
                  -
                </span>
              </div>
              <div style="display: flex;justify-content: center;margin-top: 2%; cursor: pointer;">
                <div class="addCard-btn" onclick="addToCart()">
                  ADD TO CART
                </div>
              </div>
              <form action="{{url_for('shop_list.add_to_cart')}}" id="add_to_cart_form" method="POST">
                <input type="hidden" name="id" value="{{ item.id }}" />
                <input type="hidden" name="name" value="{{ item.name }}" />
                <input type="hidden" name="amount" id="amount" />
                <input type="hidden" name="pp" value="{{ item.price }}" />
                <input type="hidden" name="preview_image" value="{{ item.preview_image }}" />
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
<script>
  function incrementValue(){
    var value = parseInt(document.getElementById('number').innerHTML, 10);
    value = isNaN(value) ? 0 : value;
    value++;
    document.getElementById('number').innerHTML = value;
  }
  function decrementValue(){
    var value = parseInt(document.getElementById('number').innerHTML, 10);
    if(value > 0){
      value = isNaN(value) ? 0 : value;
      value--;
      document.getElementById('number').innerHTML = value;
    }
  }
  function addToCart(){
    var value = parseInt(document.getElementById('number').innerHTML, 10);
    document.getElementById('amount').value = value;
    document.getElementById('add_to_cart_form').submit();
  }
</script>
